# tor_extend
require 'rubygems'
spec = Gem::Specification.new do |s|
    s.name = "tor_extend"
    s.version = "1.0.2"
    s.summary = "TController inherits the features from the Controller class in Arto Bendiken\'s tor-ruby [https://github.com/bendiken/tor-ruby] and extends it to do so much more"
    s.files = Dir.glob("**/**/**")
    s.test_files = Dir.glob("test/*_test.rb")
    s.author = "Oluwaseun Remi-Omosowon"
    s.email = "remi-omosowon@et.esiea-ouest.fr"
    s.has_rdoc = true
    s.extra_rdoc_files = ['ReadME.txt','Change.log']
    s.required_ruby_version = '>= 1.9.1'
    s.require_paths = [ 'lib' ]
    s.add_dependency('tor', '>= 0.1.2')
    s.add_dependency('geoip', '>= 1.1.1')
    s.add_dependency('socksify', '>= 1.4.1')
    s.description = <<-EOF
    TController is an extension of the open source Tor::Controller library written for ruby by Bendiken
    dependencies are specified in standard Ruby syntax. It adds several functionalities that were not already included in the original library, and this is still a work in progress.
    EOF
    s.homepage = ("http://cvo-lab.blogspot.com")
end
